| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Pages
Public Member Functions | Public Attributes | Protected Attributes | List of all members
dba_driver Class Reference

abstract database driver class. More...

Inheritance diagram for dba_driver:

## Public Member Functions
| connect ($server, $port, $user, $pass, $db)
| Connect to the database. More...
| q ($sql)
| Perform a DB query with the SQL statement $sql. More...
| escape ($str)
| Escape a string before being passed to a DB query. More...
| close ()
| Close the database connection. More...
| getdriver ()
| Return text name for db driver. More...
| __construct ($server, $port, $user, $pass, $db, $install=false)
| get_null_date ()
| get_install_script ()
| utcnow ()
| install ($server, $user, $pass, $db)
| dbg ($dbg)
| Sets the database driver's debugging state. More...
| __destruct ()
| quote_interval ($txt)
| optimize_table ($table)
| concat ($fld, $sep)
| escapebin ($str)
| unescapebin ($str)

## Public Attributes
const | INSTALL_SCRIPT ='install/schema_mysql.sql'
const | NULL_DATE = '0000-00-00 00:00:00'
const | UTC_NOW = 'UTC_TIMESTAMP()'
| $connected = false
| $error = false

## Protected Attributes
| $debug = 0
| $db

## Detailed Description

abstract database driver class.

This class gets extended by the real database driver classes, e.g. dba_mysql, dba_mysqli.

## Constructor & Destructor Documentation

dba_driver::__construct | ( |  | $server,
|  |  | $port,
|  |  | $user,
|  |  | $pass,
|  |  | $db,
|  |  | $install = `false`
| ) |  |

dba_driver::__destruct | ( |  | ) |

## Member Function Documentation

dba_driver::close | ( |  | ) |
| abstract

Close the database connection.

This abstract function needs to be implemented in the real driver.

Referenced by __destruct().

dba_driver::concat | ( |  | $fld,
|  |  | $sep
| ) |  |

dba_driver::connect | ( |  | $server,
|  |  | $port,
|  |  | $user,
|  |  | $pass,
|  |  | $db
| ) |  |
| abstract

Connect to the database.

This abstract function needs to be implemented in the real driver.

Parameters

  string | $server | DB server name
  string | $port | DB port
  string | $user | DB username
  string | $pass | DB password
  string | $db | database name

Returns
  bool

Referenced by __construct().

dba_driver::dbg | ( |  | $dbg | ) |

Sets the database driver's debugging state.

Parameters

  int | $dbg | 0 to disable debugging

dba_driver::escape | ( |  | $str | ) |
| abstract

Escape a string before being passed to a DB query.

This abstract function needs to be implemented in the real driver.

Parameters

  string | $str | The string to escape.

dba_driver::escapebin | ( |  | $str | ) |

dba_driver::get_install_script | ( |  | ) |

dba_driver::get_null_date | ( |  | ) |

dba_driver::getdriver | ( |  | ) |
| abstract

Return text name for db driver.

This abstract function needs to be implemented in the real driver.

dba_driver::install | ( |  | $server,
|  |  | $user,
|  |  | $pass,
|  |  | $db
| ) |  |

Referenced by __construct().

dba_driver::optimize_table | ( |  | $table | ) |

dba_driver::q | ( |  | $sql | ) |
| abstract

Perform a DB query with the SQL statement $sql.

This abstract function needs to be implemented in the real driver.

Parameters

  string | $sql | The SQL query to execute

Referenced by optimize_table().

dba_driver::quote_interval | ( |  | $txt | ) |

dba_driver::unescapebin | ( |  | $str | ) |

dba_driver::utcnow | ( |  | ) |

## Member Data Documentation

dba_driver::$connected = false

Referenced by dba_postgres\connect().

dba_driver::$db
| protected

Referenced by __construct(), dba_mysqli\connect(), dba_mysql\connect(), and dba_postgres\connect().

dba_driver::$debug = 0
| protected

dba_driver::$error = false

const dba_driver::INSTALL_SCRIPT ='install/schema_mysql.sql'

const dba_driver::NULL_DATE = '0000-00-00 00:00:00'

const dba_driver::UTC_NOW = 'UTC_TIMESTAMP()'

The documentation for this class was generated from the following file:

- include/dba/dba_driver.php